diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/CallbackNumberAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/CallbackNumberAttribute.java
index 8189301708caf89a93d5b0eb29a89e4862d443aa..15ed26f43ba06f880c939c38b58ff5d0eaf131dc 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/CallbackNumberAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/CallbackNumberAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class CallbackNumberAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public CallbackNumberAttribute(byte value[]) {
         super();
-        _t = CALLBACK_NUMBER;
+        _t = Attribute.CALLBACK_NUMBER;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/CallerStationIdAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/CallerStationIdAttribute.java
index a0afb3fcd80d81f7bd4d9470e12a312df1fbf106..912907526b52d343d7424912e6efa31ab3a4e3c2 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/CallerStationIdAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/CallerStationIdAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class CallerStationIdAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public CallerStationIdAttribute(byte value[]) {
         super();
-        _t = CALLER_STATION_ID;
+        _t = Attribute.CALLER_STATION_ID;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/CallingStationIdAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/CallingStationIdAttribute.java
index 162d7098ed21ebf3f65dfdbd02c9a0b4587696ee..d8bfe5ef251fd187c82f563bf1505c9498e00b0d 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/CallingStationIdAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/CallingStationIdAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class CallingStationIdAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public CallingStationIdAttribute(byte value[]) {
         super();
-        _t = CALLING_STATION_ID;
+        _t = Attribute.CALLING_STATION_ID;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/ChallengeException.java b/pki/base/util/src/com/netscape/cmsutil/radius/ChallengeException.java
index bdcd77abca8b579bae6089e89fe19e8dd7434f35..cad17c23b939055e055d89edd41320dacaf02fa7 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/ChallengeException.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/ChallengeException.java
@@ -18,14 +18,11 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+
 
 
 public class ChallengeException extends Exception {
+    private static final long serialVersionUID = -3496050461777520369L;
     private AccessChallenge _res = null;
 
     public ChallengeException(AccessChallenge res) {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/FilterIdAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/FilterIdAttribute.java
index 15b8940d4cb3e59cbcde9bf4a88f8af9f85e41d0..6e0918f6d6a8b51df5ffdab3072e4b6e62977172 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/FilterIdAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/FilterIdAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class FilterIdAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public FilterIdAttribute(byte value[]) {
         super();
-        _t = CHAP_PASSWORD;
+        _t = Attribute.CHAP_PASSWORD;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkLinkAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkLinkAttribute.java
index 649442fa29c01293489b1a609f7a131709a05a5d..6d9d0fd51b68b142f95953e3d9c51060e92689b5 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkLinkAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkLinkAttribute.java
@@ -18,23 +18,17 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class FramedAppleTalkLinkAttribute extends Attribute {
     public static int UN_NUMBERED = 0;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public FramedAppleTalkLinkAttribute(byte value[]) {
         super();
-        _t = FRAMED_APPLETALK_LINK;
-        _value = value;
+        _t = Attribute.FRAMED_APPLETALK_LINK;
         _type = value[5] & 0xFF;
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkNetworkAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkNetworkAttribute.java
index e594498626218159ca839c812d79fd88b0f8dccc..e05162f87827bef04c364fc6b6f1e40927400772 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkNetworkAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkNetworkAttribute.java
@@ -18,21 +18,15 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class FramedAppleTalkNetworkAttribute extends Attribute {
-    private byte _value[] = null;
     private int _type = 0;
 
     public FramedAppleTalkNetworkAttribute(byte value[]) {
         super();
-        _t = FRAMED_APPLETALK_NETWORK;
-        _value = value;
+        _t = Attribute.FRAMED_APPLETALK_NETWORK;
         _type = value[5] & 0xFF;
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkZoneAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkZoneAttribute.java
index 18f0644481a2a93882012bbe864ef37857e6ae2a..9fa83623bbc8a77f5e6ea774f468b53ced0074cc 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkZoneAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/FramedAppleTalkZoneAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class FramedAppleTalkZoneAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public FramedAppleTalkZoneAttribute(byte value[]) {
         super();
-        _t = FRAMED_APPLETALK_ZONE;
+        _t = Attribute.FRAMED_APPLETALK_ZONE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/FramedCompressionAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/FramedCompressionAttribute.java
index 9b2f398cc3178f2859a111a2701ddb93aa1597f1..bb9b064ef442b2531594b8803201bf085f3432ff 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/FramedCompressionAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/FramedCompressionAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class FramedCompressionAttribute extends Attribute {
@@ -31,17 +27,15 @@ public class FramedCompressionAttribute extends Attribute {
     public static final int IPX_HEADER = 2;
     public static final int STAC_LZS = 3;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public FramedCompressionAttribute(byte value[]) {
         super();
-        _t = FRAMED_COMPRESSION;
+        _t = Attribute.FRAMED_COMPRESSION;
         _type = value[5] & 0xFF; 
         _type |= ((value[4] << 8) & 0xFF00); 
         _type |= ((value[3] << 16) & 0xFF0000); 
         _type |= ((value[2] << 24) & 0xFF000000);
-        _value = value;
     }
 
     public int getType() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/FramedIPAddressAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/FramedIPAddressAttribute.java
index 55b313a1bc4a66fbc7393aa2444e919c7e160f0a..b30e286cf3d694f03b380d27b41cef988a497869 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/FramedIPAddressAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/FramedIPAddressAttribute.java
@@ -18,25 +18,19 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class FramedIPAddressAttribute extends Attribute {
-    private byte _value[] = null;
     private byte _addr[] = new byte[4];
 
     public FramedIPAddressAttribute(byte value[]) {
         super();
-        _t = FRAMED_IP_ADDRESS;
+        _t = Attribute.FRAMED_IP_ADDRESS;
         _addr[0] = value[2];		
         _addr[1] = value[3];		
         _addr[2] = value[4];		
-        _addr[3] = value[5];		
-        _value = value;
+        _addr[3] = value[5];
     }
 
     public byte[] getValue() throws IOException {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/FramedIPNetmaskAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/FramedIPNetmaskAttribute.java
index c8f7324f2dbfe71f09f79fb681b31027bc3cf408..3ac97335e777f6a673c6a3e20d9c7af6ab90359f 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/FramedIPNetmaskAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/FramedIPNetmaskAttribute.java
@@ -18,25 +18,19 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class FramedIPNetmaskAttribute extends Attribute {
-    private byte _value[] = null;
     private byte _mask[] = new byte[4];
 
     public FramedIPNetmaskAttribute(byte value[]) {
         super();
-        _t = FRAMED_IP_NETMASK;
+        _t = Attribute.FRAMED_IP_NETMASK;
         _mask[0] = value[2];
         _mask[1] = value[3];
         _mask[2] = value[4];
         _mask[3] = value[5];
-        _value = value;
     }
 
     public byte[] getValue() throws IOException {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/FramedIPXNetworkAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/FramedIPXNetworkAttribute.java
index 448dbb5de2ff077d96a9e36c1318d094aa6bd783..4089309b46f158aab5ca85a175503d838e721f0d 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/FramedIPXNetworkAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/FramedIPXNetworkAttribute.java
@@ -18,25 +18,19 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class FramedIPXNetworkAttribute extends Attribute {
-    private byte _value[] = null;
     private byte _net[] = new byte[4];
 
     public FramedIPXNetworkAttribute(byte value[]) {
         super();
-        _t = FRAMED_IPX_NETWORK;
+        _t = Attribute.FRAMED_IPX_NETWORK;
         _net[0] = value[2];
         _net[1] = value[3];
         _net[2] = value[4];
         _net[3] = value[5];
-        _value = value;
     }
 
     public byte[] getValue() throws IOException {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/FramedMTUAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/FramedMTUAttribute.java
index 0c9de7268c9cd1e79d12bbf3d1769bd5d0513cf6..f86133440e5a6ba8646be77a2d2849facab01e5b 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/FramedMTUAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/FramedMTUAttribute.java
@@ -18,21 +18,15 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class FramedMTUAttribute extends Attribute {
-    private byte _value[] = null;
     private int _type = 0;
 
     public FramedMTUAttribute(byte value[]) {
         super();
-        _t = FRAMED_IP_ADDRESS;
-        _value = value;
+        _t = Attribute.FRAMED_IP_ADDRESS;
         _type = value[5] & 0xFF;
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/FramedProtocolAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/FramedProtocolAttribute.java
index a13321c8d20c2a4ee880384eb9142aa05340de1c..4b7f93ffa7508b36614a2798f986b2df087f6374 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/FramedProtocolAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/FramedProtocolAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class FramedProtocolAttribute extends Attribute {
@@ -33,17 +29,15 @@ public class FramedProtocolAttribute extends Attribute {
     public static final int XYLOGICS = 5;
     public static final int X_75 = 6;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public FramedProtocolAttribute(byte value[]) {
         super();
-        _t = SERVICE_TYPE;
+        _t = Attribute.SERVICE_TYPE;
         _type = value[5] & 0xFF; 
         _type |= ((value[4] << 8) & 0xFF00); 
         _type |= ((value[3] << 16) & 0xFF0000); 
         _type |= ((value[2] << 24) & 0xFF000000);
-        _value = value;
     }
 
     public int getType() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/FramedRouteAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/FramedRouteAttribute.java
index 07777bd12cf66e6d28a1b4b43d6ef363e45df619..a3cd609b0353c2d595fdd4c9223eb2b784e018eb 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/FramedRouteAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/FramedRouteAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class FramedRouteAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public FramedRouteAttribute(byte value[]) {
         super();
-        _t = FRAMED_ROUTE;
+        _t = Attribute.FRAMED_ROUTE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/FramedRoutingAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/FramedRoutingAttribute.java
index ade7e34f2148c2a3bda55fac82c45f930ce6af3d..dc3d6be520211d6f8075ba529d22993576cc6ece 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/FramedRoutingAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/FramedRoutingAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class FramedRoutingAttribute extends Attribute {
@@ -31,17 +27,15 @@ public class FramedRoutingAttribute extends Attribute {
     public static final int LISTEN_FOR_ROUTING_PACKETS = 2;
     public static final int SEND_AND_LISTEN = 3;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public FramedRoutingAttribute(byte value[]) {
         super();
-        _t = FRAMED_ROUTING;
+        _t = Attribute.FRAMED_ROUTING;
         _type = value[5] & 0xFF;
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
         _type |= ((value[2] << 24) & 0xFF000000);
-        _value = value;
     }
 
     public int getType() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/GenericAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/GenericAttribute.java
index df42fb6f9ebcb6686436085e53eb3a3df3b0d863..c368a27126b7a08dd122e43bcc913468c9d30b92 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/GenericAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/GenericAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class GenericAttribute extends Attribute {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/IdleTimeoutAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/IdleTimeoutAttribute.java
index 513c1077f4c5166ee8f2a583b200c6807d154e8d..425296943d89eb39e556a8e9379b3e183da66f7b 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/IdleTimeoutAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/IdleTimeoutAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class IdleTimeoutAttribute extends Attribute {
@@ -30,7 +26,7 @@ public class IdleTimeoutAttribute extends Attribute {
 
     public IdleTimeoutAttribute(byte value[]) {
         super();
-        _t = IDLE_TIMEOUT;
+        _t = Attribute.IDLE_TIMEOUT;
         _timeout = value[5] & 0xFF;
         _timeout |= ((value[4] << 8) & 0xFF00);
         _timeout |= ((value[3] << 16) & 0xFF0000);
@@ -38,7 +34,7 @@ public class IdleTimeoutAttribute extends Attribute {
     }
 
     public IdleTimeoutAttribute(int timeout) {
-        super(IDLE_TIMEOUT);
+        super(Attribute.IDLE_TIMEOUT);
         _timeout = timeout;
     }
 
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/LoginIPHostAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/LoginIPHostAttribute.java
index 2f8dae7259e307eed17d920fface6a0017fc1199..ca6fc6d628ba7e84aa25b95740343d8135c39e64 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/LoginIPHostAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/LoginIPHostAttribute.java
@@ -18,28 +18,22 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class LoginIPHostAttribute extends Attribute {
     public static final int NAS_ALLOW_SELECT = 0xFFFFFFFF;
     public static final int NAS_SELECT = 0;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public LoginIPHostAttribute(byte value[]) {
         super();
-        _t = LOGIN_IP_HOST;
+        _t = Attribute.LOGIN_IP_HOST;
         _type = value[5] & 0xFF;
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
         _type |= ((value[2] << 24) & 0xFF000000);
-        _value = value;
     }
 
     public int getType() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATGroupAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATGroupAttribute.java
index 5c1891f78c3e39e14b603ba82a8d201e9a4f429a..e7204d2f68e8e18ed89d93b97124732b848566af 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATGroupAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATGroupAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class LoginLATGroupAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public LoginLATGroupAttribute(byte value[]) {
         super();
-        _t = LOGIN_LAT_GROUP;
+        _t = Attribute.LOGIN_LAT_GROUP;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATNodeAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATNodeAttribute.java
index 55948d4437e09595870a97e660e85a6ae0c9aaa9..76458d2ded5f95d86ddd059402b4f8e30a7f0462 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATNodeAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATNodeAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class LoginLATNodeAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public LoginLATNodeAttribute(byte value[]) {
         super();
-        _t = LOGIN_LAT_NODE;
+        _t = Attribute.LOGIN_LAT_NODE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATPortAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATPortAttribute.java
index a0e61ab98197d7d6ce46fa915a5e64bb06e033c0..d5a63f466b6e0bacd1f4dc7545def0825d62480c 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATPortAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATPortAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class LoginLATPortAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public LoginLATPortAttribute(byte value[]) {
         super();
-        _t = PROXY_STATE;
+        _t = Attribute.PROXY_STATE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATServiceAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATServiceAttribute.java
index 7116630ac3ac94c1dc0cc9698cf355cfb942272d..7b0001d1ddfa2706d6a4bb8f7a635564c0e82a46 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATServiceAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/LoginLATServiceAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class LoginLATServiceAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public LoginLATServiceAttribute(byte value[]) {
         super();
-        _t = LOGIN_LAT_SERVICE;
+        _t = Attribute.LOGIN_LAT_SERVICE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/LoginServiceAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/LoginServiceAttribute.java
index 1dcd12b2feedf440ee3834cf2bed1a4bc6ddb6a9..fa10e66620688fca0b03036d9cc6fd294dd7aeaa 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/LoginServiceAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/LoginServiceAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class LoginServiceAttribute extends Attribute {
@@ -35,17 +31,15 @@ public class LoginServiceAttribute extends Attribute {
     public static final int X25_T3POS = 6;
     public static final int TCP_CLEAR_QUIET = 8;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public LoginServiceAttribute(byte value[]) {
         super();
-        _t = LOGIN_SERVICE;
+        _t = Attribute.LOGIN_SERVICE;
         _type = value[5] & 0xFF;
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
         _type |= ((value[2] << 24) & 0xFF000000);
-        _value = value;
     }
 
     public int getType() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/LoginTCPPortAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/LoginTCPPortAttribute.java
index b7921c3a875257f055a5af11703e40713255c3f4..4467c802272610aa720e77ef3dc384dd182f6473 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/LoginTCPPortAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/LoginTCPPortAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class LoginTCPPortAttribute extends Attribute {
@@ -30,7 +26,7 @@ public class LoginTCPPortAttribute extends Attribute {
 
     public LoginTCPPortAttribute(byte value[]) {
         super();
-        _t = LOGIN_TCP_PORT;
+        _t = Attribute.LOGIN_TCP_PORT;
         _port = value[5] & 0xFF;
         _port |= ((value[4] << 8) & 0xFF00);
         _port |= ((value[3] << 16) & 0xFF0000);
@@ -38,7 +34,7 @@ public class LoginTCPPortAttribute extends Attribute {
     }
 
     public LoginTCPPortAttribute(int port) {
-        super(LOGIN_TCP_PORT);
+        super(Attribute.LOGIN_TCP_PORT);
         _port = port;
     }
 
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/NASClassAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/NASClassAttribute.java
index 539c259f96ccbf4e07bc92a9aa786562fdda25b1..39647e9f15328032f865ad1bc46ed1fff2173e4c 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/NASClassAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/NASClassAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class NASClassAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public NASClassAttribute(byte value[]) {
         super();
-        _t = NAS_CLASS;
+        _t = Attribute.NAS_CLASS;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/NASIPAddressAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/NASIPAddressAttribute.java
index 3b9e438ff9a3b842f4723766cd32567989d6ff29..4fa3c765b78eaba3a096f3e0262cd36acd68c3e1 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/NASIPAddressAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/NASIPAddressAttribute.java
@@ -18,25 +18,19 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
+import java.net.InetAddress;
 
 
 public class NASIPAddressAttribute extends Attribute {
     private InetAddress _ip = null;
-    private byte _value[] = null;
-
     public NASIPAddressAttribute(byte value[]) {
         super();
-        _t = NAS_IP_ADDRESS;
-        _value = value;
+        _t = Attribute.NAS_IP_ADDRESS;
     }
 
     public NASIPAddressAttribute(InetAddress ip) {
-        super(NAS_IP_ADDRESS);
+        super(Attribute.NAS_IP_ADDRESS);
         _ip = ip;
     }
 
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/NASIdentifierAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/NASIdentifierAttribute.java
index 3cc67d8ec83050c0f1163c9e3de6e148cfebcff3..ed2f25e22d84362d44bf8c6902540292a62a485d 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/NASIdentifierAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/NASIdentifierAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class NASIdentifierAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public NASIdentifierAttribute(byte value[]) {
         super();
-        _t = NAS_IDENTIFIER;
+        _t = Attribute.NAS_IDENTIFIER;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/NASPacket.java b/pki/base/util/src/com/netscape/cmsutil/radius/NASPacket.java
index 86eec6dbfa1421ad043322d445979f5d8be6685b..f09b5878e5754188a2e4e01558dc10a150221c46 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/NASPacket.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/NASPacket.java
@@ -18,11 +18,8 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.ByteArrayOutputStream;
+import java.io.IOException;
 
 
 public abstract class NASPacket extends Packet {
@@ -35,7 +32,7 @@ public abstract class NASPacket extends Packet {
         ByteArrayOutputStream attrsOS = new ByteArrayOutputStream();
 
         for (int i = 0; i < _attrs.size(); i++) {
-            Attribute attr = (Attribute) getAttributeAt(i);
+            Attribute attr = getAttributeAt(i);
 
             attrsOS.write(attr.getData());
         }
